List deployment teams
curl --request POST \
--url https://api.example.com/api/permissions/v2/deployments/{deploymentId}/teams/list \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"limit": "100",
"cursor": "",
"filter": {
"name": "team1"
}
}
'import requests
url = "https://api.example.com/api/permissions/v2/deployments/{deploymentId}/teams/list"
payload = {
"limit": "100",
"cursor": "",
"filter": { "name": "team1" }
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({limit: '100', cursor: '', filter: {name: 'team1'}})
};
fetch('https://api.example.com/api/permissions/v2/deployments/{deploymentId}/teams/list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"teams": [
{
"id": "1234",
"deploymentId": "1111",
"name": "My Team",
"slug": "my-team",
"parentTeamId": "1234",
"repositoryCount": "1",
"userCount": "1",
"childTeamCount": "1",
"isProjectDefault": false,
"isUserDefault": false,
"authorizedScopes": [
"TEAM_SCOPE_DIRECT_MEMBER",
"TEAM_SCOPE_MANAGE"
]
}
],
"cursor": ""
}Teams
List deployment teams
List a deployment’s Role-Based Access Control teams
POST
/
api
/
permissions
/
v2
/
deployments
/
{deploymentId}
/
teams
/
list
List deployment teams
Authorizations
SemgrepWebTokenSemgrepJWT
Get access to data with your API token. Example header:
Authorization: Bearer 2991e2fb4b540fe75b8f90677b0b892b6314e4961cb001fe6eb452eee248a628
The token can be provisioned from the Tokens section in your Settings, and requires explicitly enabling Web API access.
Path Parameters
Deployment ID for which to list teams The unique numerical identifier for the deployment.
Example:
1111
Body
application/json
Was this page helpful?
⌘I